## EDU.oswego.cs.dl.util.concurrent
Class QueuedExecutor.RunLoop

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.QueuedExecutor.RunLoop

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  QueuedExecutor

    protected class QueuedExecutor.RunLoop

extends java.lang.Object
implements java.lang.Runnable

The runloop is isolated in its own Runnable class just so that the main class need not implement Runnable, which would allow others to directly invoke run, which would never make sense here.

Constructor Summary
`protected` `QueuedExecutor.RunLoop()`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueuedExecutor.RunLoop

    protected QueuedExecutor.RunLoop()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`